@version 2.3
@warnings
@script generic

/*
======================================================================

www.Steelronin.com
Scott@steelronin.com  
======================================================================
*/



/*
updates comments
*/ 


@name SR_Apply_Custom_Bones
scriptName = "SR Apply Custom Bones v0.1.0";
copyright = "Copyright (c) 2005 Scott lange";



generic
{
    cOption = 1;
    
    reqbegin("Apply_Custom_Bones");

    c1 = ctlchoice("Choice",cOption,@"Add","Remove"@);

    return if !reqpost();
    
    cOption = getvalue(c1);
    
    reqend();
    
    nullName;


    scene = Scene();
    pip = scene.generalopts[3];
    selList = scene.getSelect();
    n = size(selList);

    if(selList == nil) return;

// reverse slist order
    listcopy = selList;
    for(a=1;a<=size(listcopy);a++)
        selList[(size(listcopy)+1) - a]=listcopy[a];

    RefreshNow();

    if(selList[1].genus == 2)
    {
        error("must be a object");
        return;
    }
    if(selList[1].genus == 3)
    {
        error("must be a object");
        return;
    }
    if(cOption == 2 && selList[1].genus == 4)
    {
        error("must be a object");
        return;
    }
  

    if(pip)
    {
        ParentInPlace();
    }
  
    for(i=1;i <= n;i++)
    {
        if(cOption == 1)
        {
            if(selList[i].genus == 1)
            {
                SelectItem(selList[i].id);
                ApplyServer("CustomObjHandler","SR_Custom_Bones_v0.1.2"); // SR_C_tester SR_Custom_Bones
            }
            
            if(selList[i].genus == 4)
            {               
                SelectItem(selList[i].id);
                nullName = selList[i].name + "_SR_CBone";
                AddNull(nullName);
                RefreshNow();
                ParentItem(selList[i].id);
                Position(0,0,0);
                Rotation(0,0,0);        
                ApplyServer("CustomObjHandler","SR_Custom_Bones_v0.1.2"); // SR_C_tester SR_Custom_Bones
                ItemLock(1);
            }
        }
        
        if(cOption == 2)
        {
            SelectItem(selList[i].id);
            RemoveServer("CustomObjHandler",1); // remove the custom modifer
        }
        
    }

    exit = "Applying Custom Bones";

info("Finished "+exit+" ");

SelectItem(selList[1].id);
for(n=2;n<=size(selList);n++)
    AddToSelection(selList[n].id);
}